<!-- 
RSS generated by JIRA (9.4.14#940014-sha1:734e6822bbf0d45eff9af51f82432957f73aa32c) at Sat Feb 10 01:10:50 UTC 2024

It is possible to restrict the fields that are returned in this document by specifying the 'field' parameter in your request.
For example, to request only the issue key and summary append 'field=key&field=summary' to the URL of your request.
-->
<rss version="0.92" >
<channel>
    <title>Whamcloud Community JIRA</title>
    <link>https://jira.whamcloud.com</link>
    <description>This file is an XML representation of an issue</description>
    <language>en-us</language>    <build-info>
        <version>9.4.14</version>
        <build-number>940014</build-number>
        <build-date>05-12-2023</build-date>
    </build-info>


<item>
            <title>[LU-832] sanity test 60a should be marked as failed if llog_test.ko cannot be loaded</title>
                <link>https://jira.whamcloud.com/browse/LU-832</link>
                <project id="10000" key="LU">Lustre</project>
                    <description>&lt;p&gt;I had a problem with symbol version mismatch which prevented some modules to be loaded and i noticed that sanity 60a is marked as PASS although the test was not run at all:&lt;/p&gt;

&lt;div class=&quot;preformatted panel&quot; style=&quot;border-width: 1px;&quot;&gt;&lt;div class=&quot;preformattedContent panelContent&quot;&gt;
&lt;pre&gt;== sanity test 60a: llog sanity tests run from kernel module ============ 00:38:24 (1320914304)
test_60 run 18379 - from kernel mode
insmod: can&apos;t read &apos;/usr/lib64/lustre/obdclass/llog_test.ko&apos;: No such file or directory
FATAL: Error inserting llog_test (/lib/modules/2.6.32-131.6.1.el6_lustre.gc31093a.x86_64/updates/kernel/fs/lustre/llog_test.ko): Unknown symbol in module, or unknown parameter (see dmesg)
Unable to load llog_test module!
Resetting fail_loc on all nodes...done.
PASS 60a (1s)
&lt;/pre&gt;
&lt;/div&gt;&lt;/div&gt;</description>
                <environment></environment>
        <key id="12395">LU-832</key>
            <summary>sanity test 60a should be marked as failed if llog_test.ko cannot be loaded</summary>
                <type id="1" iconUrl="https://jira.whamcloud.com/secure/viewavatar?size=xsmall&amp;avatarId=11303&amp;avatarType=issuetype">Bug</type>
                                            <priority id="4" iconUrl="https://jira.whamcloud.com/images/icons/priorities/minor.svg">Minor</priority>
                        <status id="5" iconUrl="https://jira.whamcloud.com/images/icons/statuses/resolved.png" description="A resolution has been taken, and it is awaiting verification by reporter. From here issues are either reopened, or are closed.">Resolved</status>
                    <statusCategory id="3" key="done" colorName="success"/>
                                    <resolution id="1">Fixed</resolution>
                                        <assignee username="sarah">Sarah Liu</assignee>
                                    <reporter username="johann">Johann Lombardi</reporter>
                        <labels>
                    </labels>
                <created>Thu, 10 Nov 2011 03:47:32 +0000</created>
                <updated>Thu, 1 Feb 2018 20:10:12 +0000</updated>
                            <resolved>Mon, 28 Aug 2017 18:14:18 +0000</resolved>
                                                    <fixVersion>Lustre 2.11.0</fixVersion>
                                        <due></due>
                            <votes>0</votes>
                                    <watches>3</watches>
                                                                            <comments>
                            <comment id="22801" author="johann" created="Thu, 10 Nov 2011 03:48:40 +0000"  >&lt;div class=&quot;preformatted panel&quot; style=&quot;border-width: 1px;&quot;&gt;&lt;div class=&quot;preformattedContent panelContent&quot;&gt;
&lt;pre&gt;diff --git a/lustre/tests/run-llog.sh b/lustre/tests/run-llog.sh
index 81c0e24..0df974e 100644
--- a/lustre/tests/run-llog.sh
+++ b/lustre/tests/run-llog.sh
@@ -21,7 +21,7 @@ TMP=${TMP:-/tmp}
 MGS=`lctl dl | awk &apos;/mgs/ { print $4 }&apos;`
 [ -z &quot;$MGS&quot; ] &amp;amp;&amp;amp; echo &quot;$0: SKIP: no MGS available, skipping llog test&quot; &amp;amp;&amp;amp; exit 0
 
-load_llog_test || exit 0
+load_llog_test || exit 1
 lctl modules &amp;gt; $TMP/ogdb-`hostname`
 echo &quot;NOW reload debugging syms..&quot;
&lt;/pre&gt;
&lt;/div&gt;&lt;/div&gt;

&lt;p&gt;Should be enough?&lt;/p&gt;</comment>
                            <comment id="200939" author="pjones" created="Tue, 4 Jul 2017 18:39:27 +0000"  >&lt;p&gt;Sarah&lt;/p&gt;

&lt;p&gt;Could you please advise on this one&lt;/p&gt;

&lt;p&gt;Thanks&lt;/p&gt;

&lt;p&gt;Peter&lt;/p&gt;</comment>
                            <comment id="204704" author="gerrit" created="Mon, 7 Aug 2017 19:08:28 +0000"  >&lt;p&gt;Wei Liu (wei3.liu@intel.com) uploaded a new patch: &lt;a href=&quot;https://review.whamcloud.com/28412&quot; class=&quot;external-link&quot; target=&quot;_blank&quot; rel=&quot;nofollow noopener&quot;&gt;https://review.whamcloud.com/28412&lt;/a&gt;&lt;br/&gt;
Subject: &lt;a href=&quot;https://jira.whamcloud.com/browse/LU-832&quot; title=&quot;sanity test 60a should be marked as failed if llog_test.ko cannot be loaded&quot; class=&quot;issue-link&quot; data-issue-key=&quot;LU-832&quot;&gt;&lt;del&gt;LU-832&lt;/del&gt;&lt;/a&gt; test: Add error check when running run-llog.sh&lt;br/&gt;
Project: fs/lustre-release&lt;br/&gt;
Branch: master&lt;br/&gt;
Current Patch Set: 1&lt;br/&gt;
Commit: b7a63c578f5c842de9cddf540ce3e55976d7454e&lt;/p&gt;</comment>
                            <comment id="206554" author="gerrit" created="Mon, 28 Aug 2017 06:26:44 +0000"  >&lt;p&gt;Oleg Drokin (oleg.drokin@intel.com) merged in patch &lt;a href=&quot;https://review.whamcloud.com/28412/&quot; class=&quot;external-link&quot; target=&quot;_blank&quot; rel=&quot;nofollow noopener&quot;&gt;https://review.whamcloud.com/28412/&lt;/a&gt;&lt;br/&gt;
Subject: &lt;a href=&quot;https://jira.whamcloud.com/browse/LU-832&quot; title=&quot;sanity test 60a should be marked as failed if llog_test.ko cannot be loaded&quot; class=&quot;issue-link&quot; data-issue-key=&quot;LU-832&quot;&gt;&lt;del&gt;LU-832&lt;/del&gt;&lt;/a&gt; test: Add error check when running run-llog.sh&lt;br/&gt;
Project: fs/lustre-release&lt;br/&gt;
Branch: master&lt;br/&gt;
Current Patch Set: &lt;br/&gt;
Commit: e71fd5643766bed894d77951fa66b58d3b448563&lt;/p&gt;</comment>
                            <comment id="206685" author="mdiep" created="Mon, 28 Aug 2017 18:14:18 +0000"  >&lt;p&gt;Landed in 2.11&lt;/p&gt;</comment>
                    </comments>
                <issuelinks>
                            <issuelinktype id="10010">
                    <name>Duplicate</name>
                                                                <inwardlinks description="is duplicated by">
                                                        </inwardlinks>
                                    </issuelinktype>
                            <issuelinktype id="10011">
                    <name>Related</name>
                                            <outwardlinks description="is related to ">
                                                        </outwardlinks>
                                                        </issuelinktype>
                    </issuelinks>
                <attachments>
                    </attachments>
                <subtasks>
                    </subtasks>
                <customfields>
                                                                                                                                                                                            <customfield id="customfield_10890" key="com.atlassian.jira.plugins.jira-development-integration-plugin:devsummary">
                        <customfieldname>Development</customfieldname>
                        <customfieldvalues>
                            
                        </customfieldvalues>
                    </customfield>
                                                                                                                                                                                                                                                                                                                                                        <customfield id="customfield_10390" key="com.pyxis.greenhopper.jira:gh-lexo-rank">
                        <customfieldname>Rank</customfieldname>
                        <customfieldvalues>
                            <customfieldvalue>1|hzw27r:</customfieldvalue>

                        </customfieldvalues>
                    </customfield>
                                                                <customfield id="customfield_10090" key="com.pyxis.greenhopper.jira:gh-global-rank">
                        <customfieldname>Rank (Obsolete)</customfieldname>
                        <customfieldvalues>
                            <customfieldvalue>10441</customfieldvalue>
                        </customfieldvalues>
                    </customfield>
                                                                                            <customfield id="customfield_10060" key="com.atlassian.jira.plugin.system.customfieldtypes:select">
                        <customfieldname>Severity</customfieldname>
                        <customfieldvalues>
                                <customfieldvalue key="10022"><![CDATA[3]]></customfieldvalue>

                        </customfieldvalues>
                    </customfield>
                                                                                                                                                                                                                                                                                                                                                        </customfields>
    </item>
</channel>
</rss>